Aller au contenu
Support de Zwii et Yocto

Rechercher dans la communauté

Affichage des résultats pour les étiquettes 'php'.



Plus d’options de recherche

  • Rechercher par étiquettes

    Saisir les étiquettes en les séparant par une virgule.
  • Rechercher par auteur

Type du contenu


Forums

  • Support de Zwii
    • Informations et nouveautés
    • Bugs, questions, suggestions et astuces
    • Support des téléchargements
    • Liens
  • Support de Yocto
    • Informations et nouveautés
    • Bugs, questions, suggestions et astuces
    • Support des téléchargements
    • Liens
  • Communauté
    • Votre site

Catégories

  • Zwii
    • Versions bêta
    • Modules
    • Modifications et astuces
    • Thèmes
    • Tutoriels
  • Yocto
    • Types de page
    • Snippets pour le type "code source"

Rechercher les résultats dans…

Rechercher les résultats qui contiennent…


Date de création

  • Début

    Fin


Dernière mise à jour

  • Début

    Fin


Filtrer par nombre de…

Inscription

  • Début

    Fin


Groupe


À propos de moi


Site internet

4 résultats trouvés

  1. Lors de l'import d'image depuis mon poste, l'image s'importe mais au terme de l'upload j'ai le message qu'il manque la librairie GD. Après recherche , il s'agit du paquet php-gd ou pour ma version de php 7.3 php7.3-gd que j'ai donc installé. J'ai relancé apache2 et php mais le message persiste . De même les icônes présent au début de chaque article de blog dans la vue liste des articles ne s'affiche pas. Auriez-vous une idée??
  2. Ce serait parfois pratique d'intégrer un bout de code PHP directement dans une page de son site. Mais comment faire ? Utiliser le bouton " {;} " affiche le code, mais il ne s'exécute pas. Quand on intègre du PHP dans le source (<>), TinyMCE le supprime avant même qu'on enregistre la page. Les solutions présentées sur le net, comme celle-ci, ne semblent pas fonctionner, contrairement à ce qui est affirmé. Et pourtant, c'est possible : L'autre jour, j'ai eu une idée bête : et si on faisait un détour ? Peut-être que Tiny n’interpréterait plus le code ? Bingo ! Un détour par les templates, et ça marche... Tutoriel Créez un nouveau fichier dans "core/vendor/tinymce/templates" et nommez-le "phpinfo.php". Éditez-le pour ajouter le code PHP : <?php phpinfo(); ?> Éditez le fichier de configuration de Tiny "core/vendor/tinymce/init.js" et ajoutez le nouveau template à la ligne 86 (par exemple). { title: "Php info", url: baseUrl + "core/vendor/tinymce/templates/phpinfo.php", description: "Affiche la configuration de PHP." }, Éditez votre page et placez-le à l'endroit voulu (+ > Modèle) – il faudra sans doute vider le cache du navigateur (CRTL MAJ Suppr sur Chrome ou Firefox entre autres) pour qu'il s'affiche dans la liste déroulante des thèmes : Et voilà ! vous savez tout de la configuration de votre PHP directement depuis votre site ! PS : Quand j'ai présenté le plugin "template" de TinyMCE l'an dernier en vantant son intérêt, je ne pensais pas que ça irait aussi loin. Et il doit y avoir encore pas mal de choses à découvrir...
  3. Bonjour,Je cherche la façon de récupérer le contenu des balises titre et description pour pouvoir remplir automatiquement les balises Open Graph selon la page où on se trouve. <meta property="og:title" content="??" > <meta property="og:description" content="??"> Merci d'avance.
  4. Bonjour, Je tente l'installation d'une nouvelle instance ZWII sur raspbian. J'ai installé apache2 et php7.0 J'ai placé les fichier de ZWII dans /var/www/html et donner les droits nécessaire à www-data dessus. C'est tout ce que j'ai fait, aucun autre paramètrage, mais je me retrouve devant une page avec ceci uniquement: * @copyright Copyright (C) 2008-2018, Rémi Jean * @license GNU General Public License, version 3 * @link http://zwiicms.com/ */ /** * Vérification de la version de PHP */ if(version_compare(PHP_VERSION, '5.6.0', '<')) { exit('PHP 5.6+ required.'); } /** * Initialisation de Zwii */ session_start(); require 'core/core.php'; $core = new core; spl_autoload_register('core::autoload'); echo $core->router(); Pour quelle raison? et si je comprend bien ma version de php ne semble pas détectée ou je me trompe?
×
×
  • Créer...